Index: /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 7768)
+++ /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 7769)
@@ -1,5 +1,5 @@
 #!/usr/bin/env python
 
-import unittest, os
+import unittest, os, time
 import os.path
 from math import pi, sqrt
@@ -7,4 +7,7 @@
 
 from anuga.shallow_water import Domain
+
+from Scientific.IO.NetCDF import NetCDFFile
+from anuga.file.sww import extent_sww
 
 from anuga.config import g, epsilon
@@ -14,5 +17,6 @@
 from anuga.coordinate_transforms.geo_reference import Geo_reference
 from anuga.geospatial_data.geospatial_data import Geospatial_data
-from anuga.abstract_2d_finite_volumes.mesh_factory import rectangular_cross
+from anuga.abstract_2d_finite_volumes.mesh_factory import rectangular_cross, \
+                                            rectangular
 from anuga.abstract_2d_finite_volumes.quantity import Quantity
 from anuga.shallow_water.forcing import Inflow, Cross_section
@@ -1465,8 +1469,4 @@
         This run tries it with georeferencing and with elevation = -1
         """
-
-        import time, os
-        from Scientific.IO.NetCDF import NetCDFFile
-        from mesh_factory import rectangular
 
         # Create basic mesh (20m x 3m)
@@ -5262,8 +5262,4 @@
         was in March-April 2007
         """
-        import time, os
-        from Scientific.IO.NetCDF import NetCDFFile
-        from data_manager import extent_sww
-        from mesh_factory import rectangular
 
         # Create basic mesh
